stages:          # List of stages for jobs, and their order of execution
  - test

e2e-test-job:   # This job runs in the test stage.
  image: cypress/browsers:node12.14.1-chrome85-ff81
  stage: test    # It only starts when the job in the build stage completes successfully.
  script:

    # run Cypress tests
    - echo "Running Tests"
    - npx cypress run --browser chrome
    - echo "No issues found."

  artifacts:
    expire_in: 1 week
    when: always
    paths:
    - cypress/screenshots
    - cypress/videos